Subject: Re: [bug#62584] [PATCH] services: Add error/success service type.

From: Simon Tournier <[email-masked]>
Date: Tue, 04 Apr 2023 12:59:40 +0200

Hi Ludo,

On Sun, 02 Apr 2023 at 15:32, Ludovic Courtès <[email-masked]> wrote:
> Ludovic Courtès <[email-masked]> skribis:
>
>> BTW, I wrote about the rationale in more detail in a blog post:
>>
>>   https://guix.gnu.org/en/blog/2023/reinstating-an-iconic-error-message/
>
> In hindsight, seen from April 2nd, it seems that the status quo might be
> preferable after all.
>
> Closing!

Well, I am not sure to understand if it is an April’s fool (so a good
one! ;-)) or a serious patch.

In both cases, I am missing why it would not be possible to have the
default “error = success“, since it is potentially possible to turn it
off and so have something as no error => success.

Emacs has ton of historical weird defaults.  Basically, I do not see the
issue with such defaults if there is an explanation (in the manual,
say).

Cheers,
simon